List eligibility for a deletion request
GET
/v1/tenants/current/deletion-requests/eligibilitycurl -X GET 'https://api.embodiflow.io/v1/tenants/current/deletion-requests/eligibility' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
查询参数
- dryRunstring
When true, report the exact t/{storageKey}/ prefix and per-bucket object counts without deleting.
可选值truefalse10
响应
Success
- dataobject必填
- tenantIdstring必填
- eligibleone of必填
- blockersarray<TenantDeletionBlockerDto>必填
- dryRunobject
- metaobject必填
- requestIdstring必填
响应示例
{
"data": {
"tenantId": "string",
"eligible": false,
"blockers": [
{
"kind": "legal_hold",
"message": "string",
"resourceId": "string",
"resourceType": "string"
}
],
"dryRun": {
"prefix": "string",
"buckets": [
{
"bucketName": "string",
"locationRole": "string",
"storageClass": "shared",
"objectCount": 0,
"totalBytes": 0,
"wouldDeleteBucket": false,
"truncated": false
}
]
}
},
"meta": {
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1